namespace TrackmaniaioMaps {
    bool LooksLikeMap(const string &in searchname) {
        if (Regex::IsMatch(searchname, """^(https?:[\/\\]{2})?trackmania.io[\/\\]#[\/\\].*[\/\\][\w]{26,27}$""")) {
            return true;
        }
        return false;
    }

    string GetDownloadFromURL(const string &in url, string &out type, string &out mapname) {
        if (URLSLASH.Contains(url.SubStr(url.Length - 27, 1))) {
            return NadeoMaps::GetDownloadFromUid(url.SubStr(url.Length - 26), type, mapname);
        }
        return NadeoMaps::GetDownloadFromUid(url.SubStr(url.Length - 27), type, mapname);
    }
    
    wstring GetUidFromURL(const string &in url) {
        if (URLSLASH.Contains(url.SubStr(url.Length - 27, 1))) {
            return url.SubStr(url.Length - 26);
        }
        return url.SubStr(url.Length - 27);
    }
}