
namespace Favourites {
    bool isValid = false;
    bool isRefreshing = false;

    MapList@ Favourites = null;

    void Refresh() {
        if (isValid) {return;}
        // return;
        // isRefreshing = true; // done from main (for xdd reasons)

        // in case you have more than ?? favourites it will make multiple requests (idk what the actual limit here is)
        int offset = 0;
        int total = 0;

        while (!NadeoServices::IsAuthenticated("NadeoLiveServices")) {yield();}
        do {
            Net::HttpRequest@ req = NadeoServices::Get("NadeoLiveServices", NadeoServices::BaseURLLive() + "/api/token/map/favorite?offset=" + offset + "&length=96");
            req.Start();
            while(!req.Finished()) {yield();}
            if (req.ResponseCode() != 200) {
                print('invalid http response when getting favourite maps' + req.ResponseCode() + ', ' + req.String());
            }
            Json::Value@ response = Json::Parse(req.String());
            if (Favourites is null) {
                @Favourites = MapList('Favorites', "", MapListType::Favourites, true);
            } else {
                Favourites.Clear();
            }
            for (uint i = 0; i < response['mapList'].Length; i++) {
                Favourites.InsertLast(Map(Text::OpenplanetFormatCodes(response['mapList'][i]['name']), response['mapList'][i]['uid'], response['mapList'][i]['mapType'], response['mapList'][i]['downloadUrl']));
            }
            total = response['itemCount'];
            offset += 96;
        } while (total > offset);
        for (uint i = 0; i < Favourites.maps.Length; i++) {
            startnew(CoroutineFunc(Favourites.maps[i].gettmxid));
        }

        isValid = true;
        isRefreshing = false;
    }

}