string currentviewedactivity = "";

bool CheckViewedActivity() {        
    CTrackMania@ app = cast<CTrackMania@>(GetApp());

    if (app !is null &&
        app.ManiaTitleControlScriptAPI !is null &&
        app.ManiaTitleControlScriptAPI.GetServerInfo_Result !is null) {
        CGameCtnNetServerInfo@ serverInfo = app.ManiaTitleControlScriptAPI.GetServerInfo_Result;
        if (currentviewedactivity != serverInfo.ServerName) {
            currentviewedactivity = serverInfo.ServerName;
            
            // for (uint i = 0; i < serverInfo.ChallengeIds.Length; i++) {
            //     maps.InsertLast(Map(Text::OpenplanetFormatCodes(serverInfo.ChallengeNames[i]), serverInfo.ChallengeIds[i], ""));
            // }

            array<string> responsemaps = {};
            for (uint i = 0; i < serverInfo.ChallengeIds.Length; i++) {
                responsemaps.InsertLast(serverInfo.ChallengeIds[i]);
            }
            
            @viewedServerMaps = MapList(Text::OpenplanetFormatCodes(serverInfo.ServerName), "dedicated", MapListType::Room, false);
            NadeoActivities::SetMapsFromUidList(responsemaps, viewedServerMaps);
            return true;

        }
    } else {
        currentviewedactivity = "";
    }
    return false;
}


// It looks like the 3 CreateGet functions are for different numbers of args
// but it looks like getting club campaigns is always the 3-arg version
// remember to ask miss or someone if that is correct
// bool HandleGetRequest1(CMwStack &in stack) {
//     print(1);
//     print(stack.CurrentString(0)); // url
//     HandleGetRequest(stack.CurrentString(0));

//     return true;
// }
// bool HandleGetRequest2(CMwStack &in stack) {
//     print(2);
//     print(stack.CurrentString(1)); // url
//     print(stack.CurrentBool(0)); // use cache
//     HandleGetRequest(stack.CurrentString(1));

//     return true;
// }
bool HandleGetRequest3(CMwStack &in stack) {
    HandleGetRequest(stack.CurrentString(2));
    // print(stack.CurrentBool(1)); // use cache
    // print(stack.CurrentString(0)); // headers // don't print because authorisation token
    return true;
}

const string NUMBER = "0123456789";

void HandleGetRequest(const string &in originalurl) {
    string url = originalurl; // this one will be trimmed to get the room ids as well
    // print(url);
    if (!url.StartsWith(NadeoServices::BaseURLLive())) {
    }
    url = url.SubStr(NadeoServices::BaseURLLive().Length);
    if (url.StartsWith("/api/token/club/")) {
        url = url.SubStr(16);
        // print(url);
        int i = 0;
        while (NUMBER.Contains(url.SubStr(i, 1)) && i < url.Length) {
            i++;
        }
        string club = url.SubStr(0, i);
        url = url.SubStr(i);
        if (url != "" && url.StartsWith("/room/")) {
            // afaik room urls will only ever have the room id after this so don't need to check it
            startnew(NadeoActivities::_GetMapsFromNadeoRoom_viewed, originalurl);
        // } else if (url != "" && url.StartsWith('/campaign/')) {
            // campaigns only request the first time you play them since starting the game (and you can play the maps by clicking them anyway)

        }



    }
    // else if some other menu? e.g. campaign
}
